<?php

// ####################################
//
//  Convert UTC To TZID (Olson Time)
//
// ####################################	
function wi_convert_utc_to_tzid($utc){
	switch ($utc) {
	    case "-11": return "US/Samoa"; break; 
		case "-10": return "HST"; break; 
		case "-930": return "Pacific/Marquesas"; break; 
		case "-9": return "America/Adak"; break; 
		case "-8": return "America/Anchorage"; break; 
		case "-7": return "MST"; break; 
		case "-6": return "US/Mountain"; break; 
		case "-5": return "EST"; break; 
		case "-430": return "America/Caracas"; break; 
		case "-4": return "America/New_York"; break; 
		case "-3": return "Canada/Atlantic"; break; 
		case "-2": return "Atlantic/South_Georgia"; break; 
		case "-1": return "Atlantic/Cape_Verde"; break; 
		case "0": return "GMT"; break; 
		case "+1": return "Europe/London"; break; 
		case "+2": return "CET"; break; 
		case "+3": return "EET"; break; 
		case "+4": return "Asia/Dubai"; break;  
		case "+5": return "Indian/Maldives"; break;
		case "+530": return "Asia/Calcutta"; break;
		case "+545": return "Asia/Katmandu"; break;
		case "+6": return "Asia/Dacca"; break;
		case "+630": return "Indian/Cocos"; break;
		case "+7": return "Asia/Bangkok"; break;
		case "+8": return "Hongkong"; break;
		case "+9": return "Japan"; break;
		case "+930": return "Australia/Adelaide"; break;
		case "+10": return "Australia/Melbourne"; break;
		case "+11": return "Asia/Sakhalin"; break;
		case "+12": return "NZ"; break;
	}

}
// ####################################
//
//  Check If Current Is Within Range Of Email Date
//
// ####################################	
function wi_dt_check($start_date, $end_date, $date_from_db){
	  
	  // Convert to timestamp
	  $start_ts = strtotime($start_date);
	  $end_ts = strtotime($end_date);
	  $user_ts = strtotime($date_from_db);

	  // Check that user date is between start & end
	  if( ($user_ts >= $start_ts) && ($user_ts <= $end_ts) ){
	  	return "yes";
	  }	else {
	  	return "no";
	  }

}
// ####################################
//
//  Build Time Stamp To Match Buffer Check
//
// ####################################	
function wi_build_time($ID, $date, $time){

	// ReArrange Date To Fit Format
	if( strpos($date , '-') ){
		$exDate = explode("-", $date);
	} else {
		$exDate = explode("/", $date);
	}

	$exYear = $exDate[2];
	$exMonth = $exDate[0];
	$exDay = $exDate[1];

	$newDate = $exYear . "-" . $exMonth . "-" . $exDay . " " . $time;

	return $newDate;

}
// ####################################
//
//  Send Email Notification
//
// ####################################	
function wi_send_email($ID, $num){

	// Get Results
	$results = get_option('webinarignition_campaign_'. $ID );

	// Check Email Toggle Status
	$getStatus = "email_notiff_" . $num;
	$checkStatus = $results->$getStatus;

	if( $checkStatus == "off" ){
		// Do nothing - email is disabled...
	} else {
		// Check Email Status
		$getObj = "email_notiff_status_" . $num;
		$getSentStatus = $results->$getObj;

		if( $getSentStatus == "sent" ){
			// This email has been sent already...
		} else {
			// Email not sent yet...
			// Update sent status
			$results->$getObj = "sent";
			update_option('webinarignition_campaign_'. $ID, $results);
			// Send out email
			$mail = new PHPMailer;
			// EMAIL SETTINGS
			$mail->IsSMTP();
			$mail->Host = $results->smtp_host;
			$mail->SMTPAuth = true;
			$mail->Username = $results->smtp_user; 
			$mail->Password = $results->smtp_pass; 
			$mail->SMTPSecure = 'tls';
			$mail->From = $results->smtp_email;
			$mail->FromName = $results->smtp_name;

			// SMTP Port
			$port = $results->smtp_port;
			if( $port == "" ){ $port = 25; }

			$mail->Port = $port;

			// LOOP THROUGH EMAILS HERE ::
			global $wpdb;
			$table_db_name = $wpdb->prefix . "webinarignition_leads_new";
			$leads = $wpdb->get_results("SELECT * FROM $table_db_name WHERE app_id = '$ID' ", OBJECT);

			// EMAIL COPY ::
			$mail->WordWrap = 50;
			$mail->IsHTML(true);
			$getSBJ = "email_notiff_sbj_" . $num;
			$mail->Subject = $results->$getSBJ;

			// Preprocess Email w/ Shortcodes
			$getBody = "email_notiff_body_" . $num;
			$getBodyEmail = $results->$getBody;
			// Shortcode :: TITLE
			$getBodyEmail = str_replace("{TITLE}", $results->webinar_desc, $getBodyEmail);
			// Shortcode :: HOST
			$getBodyEmail = str_replace("{HOST}", $results->webinar_host, $getBodyEmail);
			// Shortcode :: LINK
			$getBodyEmail = str_replace("{LINK}", $results->webinar_permalink . "?live", $getBodyEmail);
			// Shortcode :: DATE
			$liveWebbyDate = explode("-", $results->webinar_date);
			$autoDate = $liveWebbyDate[2] ."-". $liveWebbyDate[0] ."-". $liveWebbyDate[1];	

			$autoDate_format = date('l\, M\. j\, Y', strtotime($autoDate));
			
			$months = $results->auto_translate_months;
			$months = explode(",", $months);
			$englishMonths = array('Jan', 'Feb', 'Mar', 'Apr', 'May', 'Jun', 'Jul', 'Aug', 'Sep', 'Oct', 'Nov', 'Dec' );
			$translateMonths = array($months[0] == "" ? 'Jan' : $months[0], 
									 $months[1] == "" ? 'Feb' : $months[1], 
									 $months[2] == "" ? 'Mar' : $months[2], 
									 $months[3] == "" ? 'Apr' : $months[3], 
									 $months[4] == "" ? 'May' : $months[4], 
									 $months[5] == "" ? 'Jun' : $months[5], 
									 $months[6] == "" ? 'Jul' : $months[6], 
									 $months[7] == "" ? 'Aug' : $months[7], 
									 $months[8] == "" ? 'Sep' : $months[8], 
									 $months[9] == "" ? 'Oct' : $months[9], 
									 $months[10] == "" ? 'Nov' : $months[10], 
									 $months[11] == "" ? 'Dec' : $months[11]);

			$days = $results->auto_translate_days;
			$days = explode(",", $days);
			$englishDays = array('Monday', 'Tuesday', 'Wednesday', 'Thursday', 'Friday', 'Saturday', 'Sunday');
			$translateDays = array($days[0] == "" ? 'Monday' : $days[0], 
									 $days[1] == "" ? 'Tuesday' : $days[1], 
									 $days[2] == "" ? 'Wednesday' : $days[2], 
									 $days[3] == "" ? 'Thursday' : $days[3], 
									 $days[4] == "" ? 'Friday' : $days[4], 
									 $days[5] == "" ? 'Saturday' : $days[5], 
									 $days[6] == "" ? 'Sunday' : $days[6]);
			$autoDate_format = str_ireplace($englishMonths, $translateMonths, $autoDate_format);
			$autoDate_format = str_ireplace($englishDays, $translateDays, $autoDate_format);
			// Times
			$autoTime_format = $results->webinar_start_time;
			$autoTime = date('g:i A', strtotime( $autoTime_format ) );	
			// Replace
			$getBodyEmail = str_replace("{DATE}", $autoDate_format . " @ ". $autoTime , $getBodyEmail);

			// $getBodyEmail = str_replace("{DATE}", $results->webinar_date ." - ". $results->webinar_start_time , $getBodyEmail);
	
			// Loop Through Each Lead & Send ::
			foreach($leads as $leads) {
				// Set Email
				$mail->AddAddress($leads->email, $leads->name); 
				echo 'Email :: ' . $leads->email;
				echo "<br>";
			}

			// Shortcode :: NAME
			// $getBodyEmail = str_replace("{NAME}", $leads->name, $getBodyEmail);
			// Shortcode :: LEAD EMAIL
			$getBodyEmail = str_replace("{EMAIL}", $leads->email, $getBodyEmail);

			$mail->Body = $getBodyEmail;

			// Mail Lead
			if(!$mail->Send()) {
			    // echo 'ERROR :: Email could not be sent. - Email ID :: ' . $num;
			    // echo "<br><br>";
			    echo 'Mailer Error: ' . $mail->ErrorInfo;
			    exit;
			} else {
				// echo 'Email Sent :: ' . $leads->email;
				// echo "<br>";
			}

			// END FUNCTION
		}
	}

}

// ####################################
//
//  Send TXT Notification
//
// ####################################	
function wi_send_txt($ID){

	// Get Results
	$results = get_option('webinarignition_campaign_'. $ID );
	// Check Status
	if( $results->email_twilio_status == "sent" ){
		// This txt has been sent already...
	} else {
		// Txt not sent yet...
		// Update sent status
		$results->email_twilio_status = "sent";
		update_option('webinarignition_campaign_'. $ID, $results);

		// LOOP THROUGH EMAILS HERE ::
		global $wpdb;
		$table_db_name = $wpdb->prefix . "webinarignition_leads_new";
		$leads = $wpdb->get_results("SELECT * FROM $table_db_name WHERE app_id = '$ID' ", OBJECT);
		// Loop Through Each Lead & Send ::

			// Send TXT Messages
			$AccountSid = $results->twilio_id;
			$AuthToken = $results->twilio_token;
			$client = new Services_Twilio($AccountSid, $AuthToken);

			$MSG =  $results->twilio_msg;
			// Shortcode {LINK}
			$MSG = str_replace("{LINK}", $results->webinar_permalink . "?live", $MSG);

			foreach($leads as $leads) { 
				if( $leads->phone == "undefined" || $leads->phone == "" ){} else {
					
				try {

					$client->account->sms_messages->create(
					    $results->twilio_number, // From this number
					    trim($leads->phone), // To this number
					   	$MSG
					);
					echo 'TXT Sent :: ' . $leads->phone;
					echo "<br>";
        	
			    } catch (Exception $e) {
			    	// Error On Phone Number - Do Nothing
			        // echo 'Error: ' . $e->getMessage();
			    }

					

				}
			}


	}
}

?>